%define upstream_name    Dist-Zilla-Plugin-AutoMetaResources
%define upstream_version 1.21

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Automagical MetaResources
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
If you find repeating the dist name again in the configuration really
annoying, this plugin comes to the rescue!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.210.0-7.mga10
+ Revision: 2198285
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.210.0-6.mga9
+ Revision: 1803098
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.210.0-5.mga8
+ Revision: 1494104
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.210.0-4.mga7
+ Revision: 1267293
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.210.0-3.mga6
+ Revision: 1025825
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.210.0-2.mga6
+ Revision: 967807
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 1.210.0-1.mga6
+ Revision: 850301
- update to 1.21

* Sun Oct 19 2014 umeabot <umeabot> 1.200.0-5.mga5
+ Revision: 789095
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.200.0-4.mga5
+ Revision: 748577
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.200.0-2.mga4
+ Revision: 527642
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 1.200.0-1.mga4
+ Revision: 441560
- update to 1.20

* Sun Jan 13 2013 umeabot <umeabot> 1.110.50-2.mga3
+ Revision: 366040
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 14 2011 jquelin <jquelin> 1.110.50-1.mga1
+ Revision: 71033
- imported package perl-Dist-Zilla-Plugin-AutoMetaResources


* Mon Mar 14 2011 cpan2dist 1.110050-1mga
- initial mageia release, generated with cpan2dist
